// background.js
chrome.runtime.onInstalled.addListener(() => {
    console.log("插件已安装");
});

chrome.runtime.onMessage.addListener((message, sender, sendResponse) => {
    if (message.type === "setApikey") {
        chrome.storage.local.set({ apikey: message.apikey });
    }
    if (message.type === "setSelectedFeaturedy") {
        chrome.storage.local.set({ selectedFeaturedy: message.selectedFeaturedy });
    }

    if (message.type === "setSelectedFeaturedydm") {
        chrome.storage.local.set({ selectedFeaturedydm: message.selectedFeaturedydm });
    }   
    if (message.type === "setSelectedFeaturetkdm") {
        chrome.storage.local.set({ selectedFeaturetkdm: message.selectedFeaturetkdm });
    }

    if (message.type === "setSelectedFeaturetk") {
        chrome.storage.local.set({ selectedFeaturetk: message.selectedFeaturetk });
    }
    if (message.type === "setSelectedFeaturesph") {
        chrome.storage.local.set({ selectedFeaturesph: message.selectedFeaturesph });
    }
    if (message.type === "setSelectedFeaturedanmu") {
        chrome.storage.local.set({ selectedFeaturedanmu: message.selectedFeaturedanmu });
    }
    if (message.type === "setSelectedFeaturetbdm") {
        chrome.storage.local.set({ selectedFeaturetbdm: message.selectedFeatureTbdm });
    }

    if (message.type === "getLogs") {
        chrome.storage.local.get(['logs'], (result) => {
            let logs = result.logs || [];
            sendResponse({ type: "getLogs", logs: logs }); // 返回日志数据给插件
        });
       
        return true; // 保持消息通道以便发送响应
    }
    if (message.type === "getLogs_dy") {
        chrome.storage.local.get(['logs_dy'], (result) => {
            let logs_dy = result.logs_dy || [];
            sendResponse({ type: "getLogs_dy", logs_dy: logs_dy }); // 返回日志数据给插件
        });
        return true; // 保持消息通道以便发送响应
    }
    if (message.type === "getLogs_tk") {
        chrome.storage.local.get(['logs_tk'], (result) => {
            let logs_tk = result.logs_tk || [];
            sendResponse({ type: "getLogs_tk", logs_tk: logs_tk }); // 返回日志数据给插件
        });
        return true; // 保持消息通道以便发送响应
    }

    if (message.type === "getLogs_tb") {
        chrome.storage.local.get(['logs_tb'], (result) => {
            let logs_tb = result.logs_tb || [];
            sendResponse({ type: "getLogs_tb", logs_tb: logs_tb }); // 返回日志数据给插件
        });
        return true; // 保持消息通道以便发送响应
    }

});



