localStorage.removeItem('seenComments');
 chrome.storage.local.get(['selectedFeaturesph']).then(result => {
  console.log("我的视频号功能开关:", result.selectedFeaturesph);
}) ;
chrome.storage.local.get(['selectedFeaturedanmu']).then(result => {
  console.log("我的弹幕采集功能开关:", result.selectedFeaturedanmu);
}) ;
chrome.storage.local.get(['apikey'], (result) => {
  const savedApikey = result.apikey;
  console.log("我的apikey", savedApikey);


   // 链接评论转发专用域名的ws服务
 const ws = new WebSocket('wss://plzf.tingwu.co:8872');

 // 连接成功后发送认证信息
 ws.onopen = () => {
     ws.send(JSON.stringify({
         type: 'auth',
         apikey: result.apikey
     }));
 };

 // 接收消息
 ws.onmessage = (event) => {
     const data = JSON.parse(event.data);
     console.log('WSS收到消息:', data);
    
 };

 // 发送消息
 function sendMessage_ws(message) {
     if (ws.readyState === WebSocket.OPEN) {
         ws.send(JSON.stringify(message));
     }
 }



  chrome.storage.local.get(['selectedFeaturedanmu']).then(result => {
    if(result.selectedFeaturedanmu == 'danmu'){


        // content.js
        function fetchLiveData() {
          // 获取在线用户信息
          const onlineUsers = document.querySelectorAll(".live-gift-list-item");

          // 处理获取到的信息
          const onlineUserData = Array.from(onlineUsers).map((user) => {
            const name = user.querySelector(".text-wrap").innerText;
            const gender = user.querySelector(".svg-icon")
              ? user.querySelector(".svg-icon").classList.contains("girl")
                ? "女"
                : "男"
              : "未知";
            const value = user.querySelector(
              ".live-gift-list-item-content-value"
            ).innerText;
            return {
              name,
              gender,
              value,
            };
          });

          // 组合数据到一个数组
          const datas = {
            error: 0,
            comments: [],
            join_info: [],
            online_users: onlineUserData
          };
         

          // 将数据存入缓存
          localStorage.setItem('liveDatas', JSON.stringify(onlineUserData));

          // 发送数据到ws服务
          sendMessage_ws(datas);
          onlineUserLogs(JSON.stringify(onlineUserData, null, 2));
          console.log("在线用户数据:", JSON.stringify(onlineUserData, null, 2));
        }

        // 监听信息变化
        const observer = new MutationObserver(fetchLiveData);
        observer.observe(document.body, { childList: true, subtree: true });
        async function onlineUserLogs(contents) {
          
          const url = "https://live2.tingwu.co/sphapi.php?action=add_online_user_log&apikey=" + savedApikey;
          const formData = new FormData();
          formData.append("contents", contents);
          const controller = new AbortController();
          try {
            const response = await fetch(url, {
              method: "POST",
              body: formData,
              signal: controller.signal,
            });
            if (!response.ok) {
              throw new Error(`HTTP error! status: ${response.status}`);
            }
            const data = await response.json();
            if (data.error === 0) {
              // 更新 log_area 的内容
              updateLogArea(contents, "在线用户");
            }
          } catch (error) {
            //console.error("请求失败:", error);
          }
        }
        // 初始获取数据
        fetchLiveData();

        // 监听评论信息
        function fetchComments() {
          const commentsWrapper = document.querySelector(
            ".vue-recycle-scroller__item-wrapper"
          );
          if (!commentsWrapper) return;
          // 使用localStorage存储已处理的评论ID
          const seen = new Set(JSON.parse(localStorage.getItem('seenComments') || '[]'));
          const comments = Array.from(
            commentsWrapper.querySelectorAll(".live-message-item")
          )
            .map((item) => {
              const type = item.querySelector(".message-type")?.textContent || "";
              const username =
                item
                  .querySelector(".message-username-desc")
                  ?.textContent.replace(":", "") || "";
              const content = item.querySelector(".message-content")?.textContent || "";
              const timestamp = new Date()
                .toLocaleString("zh-CN", { hour12: false })
                .replace(/\//g, "-");
              const commentId = `${type}-${username}-${content}`;
            
              if (seen.has(commentId)) {
                //console.log("已评论：",commentId);
                return null;
              }else{
                //console.log("没评论：",commentId);
                seen.add(commentId);
                // 更新localStorage中的seen集合
                localStorage.setItem('seenComments', JSON.stringify(Array.from(seen)));
                const commentType = type || (username ? "评论" : "系统消息");
                if (commentType === "通知" || commentType === "通知") {
                  // username = "系统消息";
                }
                if (commentType === "评论") {
                  const commentData = {
                    type: commentType,
                    username:username,
                    content:content,
                    comment_time:timestamp
                  };
                  const liveDatas=JSON.parse(localStorage.getItem('liveDatas'));
                  // 组合数据到一个数组
                  const datas = {
                    error: 0,
                    comments: [commentData],
                    join_info: [],
                    online_users: liveDatas
                  };
               

                 
                  // 发送数据到ws服务
                  sendMessage_ws(datas);

                  commentLogs(commentType, username, content, timestamp);
                  return {
                    type: commentType,
                    username,
                    content,
                    timestamp,
                  };
                }
              }
              
            })
            .filter((comment) => comment !== null);
          console.log("评论数据:", JSON.stringify(comments, null, 2));
        }
        async function commentLogs(type, username, content, timestamp) {
        
          const url = "https://live2.tingwu.co/sphapi.php?action=add_comment_log&apikey="+savedApikey;
          const formData = new FormData();
          formData.append("type", type);
          formData.append("username", username);
          formData.append("content", content);
          formData.append("timestamp", timestamp);
          const controller = new AbortController();
          try {
            const response = await fetch(url, {
              method: "POST",
              body: formData,
              signal: controller.signal,
            });
            if (!response.ok) {
              throw new Error(`HTTP error! status: ${response.status}`);
            }
          

            const data = await response.json();
            if (data.error === 0) {
              // 更新 log_area 的内容
              updateLogArea(JSON.stringify({ type, username, content, timestamp }, null, 2), "用户评论"); // 传递类型
            }

          } catch (error) {
            console.error("请求失败:", error);
          }
        }

        // 设置评论监听器
        const commentsObserver = new MutationObserver(fetchComments);
        const commentsTarget = document.querySelector(
          ".vue-recycle-scroller__item-wrapper"
        );
        commentsObserver.observe(document.body, {
          childList: true,
          subtree: true,
        });

        // 初始获取评论数据
        fetchComments();

        // 监听用户进入直播间
        function fetchJoinMessages() {
          //console.log("yah12324");
          const joinMessages = document.querySelectorAll(
            ".live-join-message-container"
          );
          if (!joinMessages) return;
          

          const joinData = Array.from(joinMessages).map((message) => {
            const nickname = message.querySelector(".nickname")?.textContent || "";
            if(nickname==""){
              return ;
            }
            const timestamp = new Date()
              .toLocaleString("zh-CN", { hour12: false })
              .replace(/\//g, "-");

            const joinInfo = {
              nickname,
              user_action: "进入直播间",
              timestamp
            };
            const liveDatas=JSON.parse(localStorage.getItem('liveDatas'));
            // 组合数据到一个数组
            const datas = {
              error: 0,
              comments: [],
              join_info: [joinInfo],
              online_users: liveDatas
            };
          
            // 发送数据到ws服务
            sendMessage_ws(datas);

            
            JoinLogs(nickname, "进入直播间", timestamp);
            return {
              nickname,
              user_action: "进入直播间",
              timestamp,
            };
          });

          if (joinData.length > 0) {
            console.log("用户进入直播间:", JSON.stringify(joinData, null, 2));
          }
        }
        async function JoinLogs(nickname, user_action, timestamp) {
        
          const url = "https://live2.tingwu.co/sphapi.php?action=add_join_log&apikey="+savedApikey;
          const formData = new FormData();
          formData.append("nickname", nickname);
          formData.append("user_action", user_action);
          formData.append("timestamp", timestamp);
          const controller = new AbortController();

        
            const response = await fetch(url, {
              method: "POST",
              body: formData,
              signal: controller.signal,
            });
            if (!response.ok) {
              throw new Error(`HTTP error! status: ${response.status}`);
            }
            

            const data = await response.json();
            if (data.error === 0) {
              // 更新 log_area 的内容
              updateLogArea(JSON.stringify({ nickname, user_action, timestamp }, null, 2), "新进入直播间用户"); // 传递类型
            }
        
        }

        // 设置用户进入监听器
        const joinObserver = new MutationObserver(fetchJoinMessages);
        const joinTarget = document.querySelector(".live-join-message-container");
        if (joinTarget) {
          joinObserver.observe(joinTarget, {
            childList: true,
            subtree: true,
            characterData: true,
            attributes: true
          });
        }

        // 初始获取进入用户数据
        fetchJoinMessages();

        // 定期检查是否存在.live-join-message-container
        const checkInterval = setInterval(() => {
          const target = document.querySelector(".live-join-message-container");
          if (target && !joinObserver.target) {
            joinObserver.observe(target, {
              childList: true,
              subtree: true,
              characterData: true,
              attributes: true
            });
          }
        }, 1000);
        //<div data-v-e74ac52e="" data-v-a1bcca62="" class="live-join-message-container show"><div data-v-e74ac52e="" class="live-join-message"><span data-v-e74ac52e="" class="nickname">霜</span> 来了 </div></div>




    }
  }) ;


   

  // 定期查询接口
function queryServer() {

  const input = document.querySelector('.message-input');

  if(!input){
      return;
  }
const url = "https://live2.tingwu.co/wsttsgpt.php";
const data = {
  type: "query",
  apikey: savedApikey
};

fetch(url, {
  method: "POST",
  headers: {
    'Content-Type': 'application/json'
  },
  body: JSON.stringify(data)
})
.then(response => response.json()) 
.then(data => {
  if (data.code === 10000) {
      const contents = data.data;
      const id = contents['id'];
      const apikey = contents['apikey']; 
      const nickname = contents['nickname'];
      const question = contents['question'];
      const answer = contents['answer'];
      const pintai = contents['pintai'];

      if(pintai == 'sph'){
          // 抖音,把内容输入到输入框
        
         
          if(input){
              input.dispatchEvent(new InputEvent('input', { bubbles: true }));
              input.value = answer;
              input.dispatchEvent(new InputEvent('change', { bubbles: true }));
              // 等待
              setTimeout(() => {
                  // 创建并触发回车事件
                  const enterEvent = new KeyboardEvent('keydown', {
                      bubbles: true,
                      cancelable: true,
                      keyCode: 13,
                      which: 13,
                      key: 'Enter'
                  });
                  input.dispatchEvent(enterEvent);
              }, 200);
              input.dispatchEvent(new InputEvent('input', { bubbles: true }));
              input.value = "";
              input.dispatchEvent(new InputEvent('change', { bubbles: true }));
          }
      }
  }
})
.catch(error => {
  console.error("请求失败:", error);
});
}
  chrome.storage.local.get(['selectedFeaturesph']).then(result => {
    if(result.selectedFeaturesph == 'sph'){
        setInterval(queryServer, 2000);
    }
}) ;




});

 // 新增函数：更新 log_area 内容
function updateLogArea(log, type = "信息") { // 默认类型为 "信息"
    const logArea = document.getElementById('log_area');
    const timestamp = new Date().toLocaleString("zh-CN", { hour12: false }).replace(/\//g, "-");
    const logWithTimestamp = `[${timestamp}] [${type}] ${log}`; // 添加时间戳和类型
    
    // 使用 chrome.storage.local 存储日志
    chrome.storage.local.get(['logs'], (result) => {
        let logs = result.logs || [];
        // 添加新日志
        logs.unshift(logWithTimestamp);
        // 限制最多存储50条日志
        if (logs.length > 50) {
            logs = logs.slice(0, 50);
        }
        // 更新本地存储
        chrome.storage.local.set({ logs: logs }, () => {
            // 发送消息到 popup.js
            chrome.runtime.sendMessage({ type: "log_show", log: logs });
        });
    });
}





